diff --git a/books/bookvolbib.pamphlet b/books/bookvolbib.pamphlet
index 2d07bec..edb7152 100644
--- a/books/bookvolbib.pamphlet
+++ b/books/bookvolbib.pamphlet
@@ -2240,6 +2240,20 @@ Kelsey, Tom; Martin, Ursula; Owre, Sam
 
 \end{chunk}
 
+\index{Bressoud, David}
+\begin{chunk}{axiom.bib}
+@article{Bres93,
+  author = "Bressoud, David",
+  title = "Review of ``The problems of mathematics'',
+  journal = "Math. Intell.",
+  volume = "15",
+  number = "4",
+  year = "1993",
+  pages 71-73"
+}
+
+\end{chunk}
+
 \index{Mahboubi, Assia}
 \begin{chunk}{axiom.bib}
 @article{Mahb06,
@@ -6250,24 +6264,73 @@ Proc ISSAC 97 pp172-175 (1997)
 
 \section{Symbolic Summation} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 
-\index{Karr, Michael}
+\index{Abramov, S.A.}
 \begin{chunk}{axiom.bib}
-@Article{Karr85,
-  author = "Karr, Michael",
-  title = "Theory of Summation in Finite Terms",
-  year = "1985",
-  journal = "Journal of Symbolic Computation",
-  volume = "1",
-  number = "3",
-  month = "September",
-  pages = "303-315",
-  paper = "Karr85.pdf",
+@article{Abra71,
+  author = "Abramov, S.A.",
+  title = "On the summation of rational functions",
+  year = "1971",
+  journal = "USSR Computational Mathematics and Mathematical Physics",
+  volume = "11",
+  number = "4",
+  pages = "324--330",
+  paper = "Abra71.pdf",
   abstract = "
-    This paper discusses some of the mathematical aspects of an algorithm
-    for finding formulas for finite sums. The results presented here
-    concern a property of difference fields which show that the algorithm
-    does not divide by zero, and an analogue to Liouville's theorem on
-    elementary integrals."
+    An algorithm is given for solving the following problem: let
+    $F(x_1,\ldots,x_n)$ be a rational function of the variables
+    $x_i$ with rational (read or complex) coefficients; to see if
+    there exists a rational function $G(v,w,x_2,\ldots,x_n)$ with
+    coefficients from the same field, such that
+    \[\sum_{x_1=v}^w{F(x_1,\ldots,x_n)} = G(v,w,x_2,\ldots,x_n)\]
+    for all integral values of $v \le w$. If $G$ exists, to obtain it.
+    Realization of the algorithm in the LISP language is discussed."
+}
+
+\end{chunk}
+
+\index{Gosper, R. William}
+\begin{chunk}{axiom.bib}
+@article{Gosp78,
+  author = "Gosper, R. William",
+  title = "Decision procedure for indefinite hypergeometric summation",
+  year = "1978",
+  journal = "Proc. Natl. Acad. Sci. USA",
+  volume = "75",
+  number = "1",
+  pages = "40--42",
+  month = "January",
+  paper = "Gosp78.pdf",
+  abstract = "
+    Given a summand $a_n$, we seek the ``indefinite sum'' $S(n)$
+    determined (within an additive constant) by 
+    \[\sum_{n=1}^m{a_n} = S(m)=S(0)\]
+    or, equivalently, by
+    \[a_n=S(n)-S(n-1)\]
+    An algorithm is exhibited which, given $a_n$, finds those $S(n)$
+    with the property
+    \[\displaystyle\frac{S(n)}{S(n-1)}=\textrm{a rational function of n}\]
+    With this algorithm, we can determine, for example, the three
+    identities
+    \[\displaystyle\sum_{n=1}^m{
+    \frac{\displaystyle\prod_{j=1}^{n-1}{bj^2+cj+d}}
+    {\displaystyle\prod_{j=1}^n{bj^2+cj+e}}=
+    \frac{1-{\displaystyle\prod_{j=1}^m{\frac{bj^2+cj+d}{bj^2+cj+e}}}}{e-d}}\]
+    \[\displaystyle\sum_{n=1}^m{
+    \frac{\displaystyle\prod_{j=1}^{n-1}{aj^3+bj^2+cj+d}}
+         {\displaystyle\prod_{j=1}^n{aj^3+bj^2+cj+e}}=
+    \frac{1-{\displaystyle\prod_{j=1}^m{
+    \frac{aj^3+bj^2+cj+d}{aj^3+bj^2+cj+e}}}}{e-d}}\]
+    \[\displaystyle\sum_{n=1}^m{
+    \displaystyle\frac{\displaystyle\prod_{j=1}^{n-1}{bj^2+cj+d}}
+    {\displaystyle\prod_{j=1}^{n+1}{bj^2+cj+e}}=
+    \displaystyle\frac{
+    \displaystyle\frac{2b}{e-d}-
+    \displaystyle\frac{3b+c+d-e}{b+c+e}-
+    \left(
+    \displaystyle\frac{2b}{e-d}-\frac{b(2m+3)+c+d-e}{b(m+1)^2+c(m+1)+e}
+    \right)
+    \displaystyle\prod_{j=1}^m{\frac{bj^2+cj+d}{bj^2+cj+e}}}
+    {b^2-c^2+d^2+e^2+2bd-2de+2eb}}\]"
 }
 
 \end{chunk}
@@ -6302,54 +6365,150 @@ Proc ISSAC 97 pp172-175 (1997)
 
 \end{chunk}
 
-\index{Zima, Eugene V.}
+\index{Abramov, S.A.}
 \begin{chunk}{axiom.bib}
-@article{Zima13,
-  author = "Zima, Eugene V.",
-  title = "Accelerating Indefinite Summation: Simple Classes of Summands",
-  journal = "Mathematics in Computer Science",
-  year = "2013",
-  month = "December",
-  volume = "7",
-  number = "4",
-  pages = "455--472",
-  paper = "Zima13.pdf",
+@article{Abra85,
+  author = "Abramov, S.A.",
+  title = "Separation of variables in rational functions",
+  year = "1985",
+  journal = "USSR Computational Mathematics and Mathematical Physics",
+  volume = "25",
+  number = "5",
+  pages = "99--102",
+  paper = "Abra85.pdf",
   abstract = "
-    We present the history of indefinite summation starting with classics
-    (Newton, Montmort, Taylor, Stirling, Euler, Boole, Jordan) followed by
-    modern classics (Abramov, Gosper, Karr) to the current implementation
-    in computer algebra system Maple. Along with historical presentation
-    we describe several ``acceleration techniques'' of algorithms for
-    indefinite summation which offer not only theoretical but also
-    practical improvements in running time. Implementations of these
-    algorithms in Maple are compared to standard Maple summation tools"
+The problem of expanding a rational function of several variables into
+terms with separable variables is formulated. An algorithm for solving
+this problem is given. Programs which implement this algorithm can
+occur in sets of algebraic alphabetical transformations on a computer
+and can be used to reduce the multiplicity of sums and integrals of
+rational functions for investigating differential equations with
+rational right-hand sides etc."
 }
 
 \end{chunk}
 
-\index{Polyakov, S.P.}
+\index{Karr, Michael}
 \begin{chunk}{axiom.bib}
-@article{Poly11,
-  author = "Polyadov, S.P.",
-  title = "Indefinite summation of rational functions with factorization
-           of denominators",
-  year = "2011",
-  month = "November",
-  journal = "Programming and Computer Software",
-  volume = "37",
-  number = "6",
-  pages = "322--325",
-  paper = "Poly11.pdf",
+@Article{Karr85,
+  author = "Karr, Michael",
+  title = "Theory of Summation in Finite Terms",
+  year = "1985",
+  journal = "Journal of Symbolic Computation",
+  volume = "1",
+  number = "3",
+  month = "September",
+  pages = "303-315",
+  paper = "Karr85.pdf",
   abstract = "
-    A computer algebra algorithm for indefinite summation of rational
-    functions based on complete factorization of denominators is
-    proposed. For a given $f$, the algorithm finds two rational functions
-    $g$, $r$ such that $f=g(x+1)-g(x)+r$ and the degree of the denominator
-    of $r$ is minimal. A modification of the algorithm is also proposed
-    that additionally minimizes the degree of the denominator of
-    $g$. Computational complexity of the algorithms without regard to
-    denominator factorization is shown to be $O(m^2)$, where $m$ is the
-    degree of the denominator of $f$."
+    This paper discusses some of the mathematical aspects of an algorithm
+    for finding formulas for finite sums. The results presented here
+    concern a property of difference fields which show that the algorithm
+    does not divide by zero, and an analogue to Liouville's theorem on
+    elementary integrals."
+}
+
+\end{chunk}
+
+\index{Koepf, Wolfram}
+\begin{chunk}{axiom.bib}
+@book{Koep98,
+  author = "Koepf, Wolfram",
+  title = "Hypergeometric Summation",
+  publisher = "Springer",
+  year = "1998",
+  isbn = "978-1-4471-6464-7",
+  paper = "Koep98.pdf",
+  abstract = "
+    Modern algorithmic techniques for summation, most of which were
+    introduced in the 1990s, are developed here and carefully implemented
+    in the computer algebra system Maple.
+
+    The algorithms of Fasenmyer, Gosper, Zeilberger, Petkovsek and van
+    Hoeij for hypergeometric summation and recurrence equations, efficient
+    multivariate summation as well as q-analogues of the above algorithms
+    are covered.  Similar algorithms concerning differential equations are
+    considered. An equivalent theory of hyperexponential integration due
+    to Almkvist and Zeilberger completes the book.
+
+    The combination of these results gives orthogonal polynomials and
+    (hypergeometric and q-hypergeometric) special functions a solid
+    algorithmic foundation. Hence, many examples from this very active
+    field are given.
+
+    The materials covered are sutiable for an introductory course on
+    algorithmic summation and will appeal to students and researchers
+    alike."
+}
+
+\end{chunk}
+
+\index{Schneider, Carsten}
+\begin{chunk}{axiom.bib}
+@InProceedings{Schn00,
+  author = "Schneider, Carsten",
+  title = "An implementation of Karr's summation algorithm in Mathematica",
+  year = "2000",
+  booktitle = "S\'eminaire Lotharingien de Combinatoire",
+  volume = "S43b",
+  pages = "1-10",
+  url = "",
+  paper = "Schn00.pdf",
+  abstract = "
+    Implementations of the celebrated Gosper algorithm (1978) for
+    indefinite summation are available on almost any computer algebra
+    platform. We report here about an implementation of an algorithm by
+    Karr, the most general indefinite summation algorithm known. Karr's
+    algorithm is, in a sense, the summation counterpart of Risch's
+    algorithm for indefinite integration. This is the first implementation
+    of this algorithm in a major computer algebra system. Our version
+    contains new extensions to handle also definite summation problems. In
+    addition we provide a feature to find automatically appropriate
+    difference field extensions in which a closed form for the summation
+    problem exists. These new aspects are illustrated by a variety of
+    examples."
+
+}
+
+\end{chunk}
+
+\index{Schneider, Carsten}
+\begin{chunk}{axiom.bib}
+@phdthesis{Schn01,
+  author = "Schneider, Carsten",
+  title = "Symbolic Summation in Difference Fields",
+  school = "RISC Research Institute for Symbolic Computation",
+  year = "2001",
+  url = 
+    "http://www.risc.jku.at/publications/download/risc_3017/SymbSumTHESIS.pdf",
+  paper = "Schn01.pdf",
+  abstract = "
+
+    There are implementations of the celebrated Gosper algorithm (1978) on
+    almost any computer algebra platform. Within my PhD thesis work I
+    implemented Karr's Summation Algorithm (1981) based on difference
+    field theory in the Mathematica system. Karr's algorithm is, in a
+    sense, the summation counterpart of Risch's algorithm for indefinite
+    integration.  Besides Karr's algorithm which allows us to find closed
+    forms for a big clas of multisums, we developed new extensions to
+    handle also definite summation problems. More precisely we are able to
+    apply creative telescoping in a very general difference field setting
+    and are capable of solving linear recurrences in its context.
+
+    Besides this we find significant new insights in symbolic summation by
+    rephrasing the summation problems in the general difference field
+    setting. In particular, we designed algorithms for finding appropriate
+    difference field extensions to solve problems in symbolic summation.
+    For instance we deal with the problem to find all nested sum
+    extensions which provide us with additional solutions for a given
+    linear recurrence of any order. Furthermore we find appropriate sum
+    extensions, if they exist, to simplify nested sums to simpler nested
+    sum expressions. Moreover we are able to interpret creative
+    telescoping as a special case of sum extensions in an indefinite
+    summation problem. In particular we are able to determine sum
+    extensions, in case of existence, to reduce the order of a recurrence
+    for a definite summation problem."
+
 }
 
 \end{chunk}
@@ -6376,49 +6535,136 @@ Proc ISSAC 97 pp172-175 (1997)
 
 \end{chunk}
 
-\index{Abramov, S.A.}
+\index{Schneider, Carsten}
 \begin{chunk}{axiom.bib}
-@article{Abra85,
-  author = "Abramov, S.A.",
-  title = "Separation of variables in rational functions",
-  year = "1985",
-  journal = "USSR Computational Mathematics and Mathematical Physics",
-  volume = "25",
-  number = "5",
-  pages = "99--102",
-  paper = "Abra85.pdf",
+@article{Schn05,
+  author = "Schneider, Carsten",
+  title = "A new Sigma approach to multi-summation",
+  year = "2005",
+  journal = "Advances in Applied Mathematics",
+  volume = "34",
+  number = "4",
+  pages = "740--767",
+  paper = "Schn05.pdf",
   abstract = "
-The problem of expanding a rational function of several variables into
-terms with separable variables is formulated. An algorithm for solving
-this problem is given. Programs which implement this algorithm can
-occur in sets of algebraic alphabetical transformations on a computer
-and can be used to reduce the multiplicity of sums and integrals of
-rational functions for investigating differential equations with
-rational right-hand sides etc."
+    We present a general algorithmic framework that allows not only to
+    deal with summation problems over summands being rational expressions
+    in indefinite nested syms and products (Karr, 1981), but also over
+    $\delta$-finite and holonomic summand expressions that are given by a
+    linear recurrence. This approach implies new computer algebra tools
+    implemented in Sigma to solve multi-summation problems efficiently.
+    For instacne, the extended Sigma package has been applied successively
+    to provide a computer-assisted proof of Stembridge's TSPP Theorem."
 }
 
 \end{chunk}
 
-\index{Abramov, S.A.}
+\index{Schneider, Carsten}
+\index{Kauers, Manuel}
 \begin{chunk}{axiom.bib}
-@article{Abra71,
-  author = "Abramov, S.A.",
-  title = "On the summation of rational functions",
-  year = "1971",
-  journal = "USSR Computational Mathematics and Mathematical Physics",
-  volume = "11",
-  number = "4",
-  pages = "324--330",
-  paper = "Abra71.pdf",
+@article{Kaue08,
+  author = "Kauers, Manuel and Schneider, Carsten",
+  title = "Indefinite summation with unspecified summands",
+  year = "2006",
+  journal = "Discrete Mathematics",
+  volume = "306",
+  number = "17",
+  pages = "2073--2083",
+  paper = "Kaue80.pdf",
+  abstract = "
+    We provide a new algorithm for indefinite nested summation which is
+    applicable to summands involving unspecified sequences $x(n)$. More
+    than that, we show how to extend Karr's algorithm to a general
+    summation framework by which additional types of summand expressions
+    can be handled. Our treatment of unspecified sequences can be seen as
+    a first illustrative application of this approach."
+}
+
+\end{chunk}
+
+\index{Kauers, Manuel}
+\begin{chunk}{axiom.bib}
+@article{Kaue07,
+  author = "Kauers, Manuel",
+  title = "Summation algorithms for Stirling number identities",
+  year = "2007",
+  journal = "Journal of Symbolic Computation",
+  volume = "42",
+  number = "10",
+  month = "October",
+  pages = "948--970",
+  paper = "Kaue07.pdf",
+  abstract = "
+    We consider a class of sequences defined by triangular recurrence
+    equations.  This class contains Stirling numbers and Eulerian numbers
+    of both kinds, and hypergeometric multiples of those. We give a
+    sufficient criterion for sums over such sequences to obey a recurrence
+    equation, and present algorithms for computing such recurrence
+    equations efficiently. Our algorithms can be used for verifying many
+    known summation identities on Stirling numbers instantly, and also for
+    discovering new identities."
+}
+
+\end{chunk}
+
+\index{Schneider, Carsten}
+\begin{chunk}{axiom.bib}
+@InProceedings{Schn07,
+  author = "Schneider, Carsten",
+  title = "Symbolic Summation Assists Combinatorics",
+  year = "2007",
+  booktitle = "S\'eminaire Lotharingien de Combinatoire",
+  volume = "56",
+  article = "B56b",
+  url = "",
+  paper = "Schn07.pdf",
+  abstract = "
+    We present symbolic summation tools in the context of difference
+    fields that help scientists in practical problem solving. Throughout
+    this article we present multi-sum examples which are related to
+    combinatorial problems."
+}
+
+\end{chunk}
+
+\index{Schneider, Carsten}
+\begin{chunk}{axiom.bib}
+@article{Schn08,
+  author = "Schneider, Carsten",
+  title = "A refined difference field theory for symbolic summation",
+  year = "2008",
+  journal = "Journal of Symbolic Computation",
+  volume = "43",
+  number = "9",
+  pages = "611--644",
+  paper = "Schn08.pdf",
+  abstract = "
+    In this article we present a refined summation theory based on Karr's
+    difference field approach. The resulting algorithms find sum
+    representations with optimal nested depth. For instance, the
+    algorithms have been applied successively to evaluate Feynman
+    integrals from Perturbative Quantum Field Theory"
+}
+
+\end{chunk}
+
+\index{Schneider, Carsten}
+\begin{chunk}{axiom.bib}
+@article{Schn09,
+  author = "Schneider, Carsten",
+  title = "Structural theorems for symbolic summation",
+  journal = "Proc. AAECC-2010",
+  year = "2010",
+  volume = "21",
+  pages = "1--32",
+  paper = "Schn09.pdf",
   abstract = "
-    An algorithm is given for solving the following problem: let
-    $F(x_1,\ldots,x_n)$ be a rational function of the variables
-    $x_i$ with rational (read or complex) coefficients; to see if
-    there exists a rational function $G(v,w,x_2,\ldots,x_n)$ with
-    coefficients from the same field, such that
-    \[\sum_{x_1=v}^w{F(x_1,\ldots,x_n)} = G(v,w,x_2,\ldots,x_n)\]
-    for all integral values of $v \le w$. If $G$ exists, to obtain it.
-    Realization of the algorithm in the LISP language is discussed."
+    Starting with Karr's structural theorem for summation - the discrete
+    version of Liouville's structural theorem for integration - we work
+    out crucial properties of the underlying difference fields. This leads
+    to new and constructive structural theorems for symbolic summation. 
+    E.g., these results can be applied for harmonic sums which arise 
+    frequently in particle physics."
 }
 
 \end{chunk}
@@ -6512,206 +6758,303 @@ rational right-hand sides etc."
 
 \end{chunk}
 
-\index{Schneider, Carsten}
+\index{Polyakov, S.P.}
 \begin{chunk}{axiom.bib}
-@article{Schn05,
-  author = "Schneider, Carsten",
-  title = "A new Sigma approach to multi-summation",
-  year = "2005",
-  journal = "Advances in Applied Mathematics",
-  volume = "34",
-  number = "4",
-  pages = "740--767",
-  paper = "Schn05.pdf",
+@article{Poly11,
+  author = "Polyadov, S.P.",
+  title = "Indefinite summation of rational functions with factorization
+           of denominators",
+  year = "2011",
+  month = "November",
+  journal = "Programming and Computer Software",
+  volume = "37",
+  number = "6",
+  pages = "322--325",
+  paper = "Poly11.pdf",
   abstract = "
-    We present a general algorithmic framework that allows not only to
-    deal with summation problems over summands being rational expressions
-    in indefinite nested syms and products (Karr, 1981), but also over
-    $\delta$-finite and holonomic summand expressions that are given by a
-    linear recurrence. This approach implies new computer algebra tools
-    implemented in Sigma to solve multi-summation problems efficiently.
-    For instacne, the extended Sigma package has been applied successively
-    to provide a computer-assisted proof of Stembridge's TSPP Theorem."
+    A computer algebra algorithm for indefinite summation of rational
+    functions based on complete factorization of denominators is
+    proposed. For a given $f$, the algorithm finds two rational functions
+    $g$, $r$ such that $f=g(x+1)-g(x)+r$ and the degree of the denominator
+    of $r$ is minimal. A modification of the algorithm is also proposed
+    that additionally minimizes the degree of the denominator of
+    $g$. Computational complexity of the algorithms without regard to
+    denominator factorization is shown to be $O(m^2)$, where $m$ is the
+    degree of the denominator of $f$."
 }
 
 \end{chunk}
 
-\index{Kauers, Manuel}
+\index{Schneider, Carsten}
 \begin{chunk}{axiom.bib}
-@article{Kaue07,
-  author = "Kauers, Manuel",
-  title = "Summation algorithms for Stirling number identities",
-  year = "2007",
-  journal = "Journal of Symbolic Computation",
-  volume = "42",
-  number = "10",
-  month = "October",
-  pages = "948--970",
-  paper = "Kaue07.pdf",
+@article{Schn13,
+  author = "Schneider, Carsten",
+  title = 
+  "Fast Algorithms for Refined Parameterized Telescoping in Difference Fields",
+  journal = "CoRR",
+  year = "2013",
+  volume = "abs/1307.7887",
+  paper = "Schn13.pdf",
+  keywords = "survey",
   abstract = "
-    We consider a class of sequences defined by triangular recurrence
-    equations.  This class contains Stirling numbers and Eulerian numbers
-    of both kinds, and hypergeometric multiples of those. We give a
-    sufficient criterion for sums over such sequences to obey a recurrence
-    equation, and present algorithms for computing such recurrence
-    equations efficiently. Our algorithms can be used for verifying many
-    known summation identities on Stirling numbers instantly, and also for
-    discovering new identities."
+    Parameterized telescoping (including telescoping and creative
+    telescoping) and refined versions of it play a central role in the
+    research area of symbolic summation. In 1981 Karr introduced
+    $\prod\sum$-fields, a general class of difference fields, that enables
+    one to consider this problem for indefinite nested sums and products
+    covering as special cases, e.g., the (q-)hypergeometric case and their
+    mixed versions. This survey article presents the available algorithms
+    in the framework of $\prod\sum$-extensions and elaborates new results
+    concerning efficiency."
 }
 
 \end{chunk}
 
-\index{Schneider, Carsten}
-\index{Kauers, Manuel}
+\index{Zima, Eugene V.}
 \begin{chunk}{axiom.bib}
-@article{Kaue08,
-  author = "Kauers, Manuel and Schneider, Carsten",
-  title = "Indefinite summation with unspecified summands",
-  year = "2006",
-  journal = "Discrete Mathematics",
-  volume = "306",
-  number = "17",
-  pages = "2073--2083",
-  paper = "Kaue80.pdf",
+@article{Zima13,
+  author = "Zima, Eugene V.",
+  title = "Accelerating Indefinite Summation: Simple Classes of Summands",
+  journal = "Mathematics in Computer Science",
+  year = "2013",
+  month = "December",
+  volume = "7",
+  number = "4",
+  pages = "455--472",
+  paper = "Zima13.pdf",
   abstract = "
-    We provide a new algorithm for indefinite nested summation which is
-    applicable to summands involving unspecified sequences $x(n)$. More
-    than that, we show how to extend Karr's algorithm to a general
-    summation framework by which additional types of summand expressions
-    can be handled. Our treatment of unspecified sequences can be seen as
-    a first illustrative application of this approach."
+    We present the history of indefinite summation starting with classics
+    (Newton, Montmort, Taylor, Stirling, Euler, Boole, Jordan) followed by
+    modern classics (Abramov, Gosper, Karr) to the current implementation
+    in computer algebra system Maple. Along with historical presentation
+    we describe several ``acceleration techniques'' of algorithms for
+    indefinite summation which offer not only theoretical but also
+    practical improvements in running time. Implementations of these
+    algorithms in Maple are compared to standard Maple summation tools"
 }
 
 \end{chunk}
 
 \index{Schneider, Carsten}
 \begin{chunk}{axiom.bib}
-@article{Schn08,
+@misc{Schn14,
   author = "Schneider, Carsten",
-  title = "A refined difference field theory for symbolic summation",
-  year = "2008",
-  journal = "Journal of Symbolic Computation",
-  volume = "43",
-  number = "9",
-  pages = "611--644",
-  paper = "Schn08.pdf",
+  title = "A Difference Ring Theory for Symbolic Summation",
+  year = "2014",
+  paper = "Schn14.pdf",
   abstract = "
-    In this article we present a refined summation theory based on Karr's
-    difference field approach. The resulting algorithms find sum
-    representations with optimal nested depth. For instance, the
-    algorithms have been applied successively to evaluate Feynman
-    integrals from Perturbative Quantum Field Theory"
+    A summation framework is developed that enhances Karr's difference
+    field approach. It covers not only indefinite nested sums and products
+    in terms of transcendental extensions, but it can treat, e.g., nested
+    products defined over roots of unity. The theory of the so-called
+    $R\prod\sum*$-extensions is supplemented by algorithms that support the
+    construction of such difference rings automatically and that assist in
+    the task to tackle symbolic summation problems. Algorithms are
+    presented that solve parameterized telescoping equations, and more
+    generally parameterized first-order difference equations, in the given
+    difference ring. As a consequence, one obtains algorithms for the
+    summation paradigms of telescoping and Zeilberger's creative
+    telescoping. With this difference ring theory one obtains a rigorous
+    summation machinery that has been applied to numerous challenging
+    problems coming, e.g., from combinatorics and particle physics."
 }
 
 \end{chunk}
 
-\index{Schneider, Carsten}
+\index{Vazquez-Trejo, Javier}
 \begin{chunk}{axiom.bib}
-@article{Schn09,
-  author = "Schneider, Carsten",
-  title = "Structural theorems for symbolic summation",
-  journal = "Proc. AAECC-2010",
-  year = "2010",
-  volume = "21",
-  pages = "1--32",
-  paper = "Schn09.pdf",
-  abstract = "
-    Starting with Karr's structural theorem for summation - the discrete
-    version of Liouville's structural theorem for integration - we work
-    out crucial properties of the underlying difference fields. This leads
-    to new and constructive structural theorems for symbolic summation. 
-    E.g., these results can be applied for harmonic sums which arise 
-    frequently in particle physics."
+@phdthesis{Vazq14,
+  author = "Vazquez-Trejo, Javier",
+  title = "Symbolic Summation in Difference Fields",
+  year = "2014",
+  school = "Carnegie-Mellon University",
+  paper = "Vazq14.pdf",
+  abstract = "
+    We seek to understand a general method for finding a closed form for a
+    given sum that acts as its antidifference in the same way that an
+    integral has an antiderivative. Once an antidifference is found, then
+    given the limits of the sum, it suffices to evaluate the
+    antidifference at the given limits. Several algorithms (by Karr and
+    Schneider) exist to find antidifferences, but the apers describing
+    these algorithms leave out several of the key proofs needed to
+    implement the algorithms. We attempt to fill in these gaps and find
+    that many of the steps to solve difference equations rely on being
+    able to solve two problems: the equivalence problem and the homogenous
+    group membership problem. Solving these two problems is essential to
+    finding the polynomial degree bounds and denominator bounds for
+    solutions of difference equations. We study Karr and Schneider's
+    treatment of these problems and elaborate on the unproven parts of
+    their work. Section 1 provides background material; section 2 provides
+    motivation and previous work; Section 3 provides an outline of Karr's
+    Algorithm; section 4 examines the Equivalance Problem, and section 5
+    examines the Homogeneous Group Membership Problem. Section 6 presents
+    some proofs for the denominator and polynomial bounds used in solving
+    difference equations, and Section 7 gives some directions for future
+    work."
+}  
+
+\end{chunk}
+
+\index{Petkov\overline{s}ek, Marko}
+\index{Wilf, Herbert S.}
+\index{Zeilberger, Doran}
+\begin{chunk}{axiom.bib}
+@book{Petk97,
+  author = "Petkov\overline{s}ek, Marko and Wilf, Herbert S. and 
+            Zeilberger, Doran",
+  title = "A=B",
+  publisher = "A.K. Peters, Ltd",
+  year = "1997",
+  paper = "Petk97.pdf"
 }
 
 \end{chunk}
 
-\index{Schneider, Carsten}
-\begin{chunk}{axiom.bib}
-@phdthesis{Schn01,
-  author = "Schneider, Carsten",
-  title = "Symbolic Summation in Difference Fields",
-  school = "RISC Research Institute for Symbolic Computation",
-  year = "2001",
-  url = 
-    "http://www.risc.jku.at/publications/download/risc_3017/SymbSumTHESIS.pdf",
-  paper = "Schn01.pdf",
-  abstract = "
+\section{Differential Forms} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 
-    There are implementations of the celebrated Gosper algorithm (1978) on
-    almost any computer algebra platform. Within my PhD thesis work I
-    implemented Karr's Summation Algorithm (1981) based on difference
-    field theory in the Mathematica system. Karr's algorithm is, in a
-    sense, the summation counterpart of Risch's algorithm for indefinite
-    integration.  Besides Karr's algorithm which allows us to find closed
-    forms for a big clas of multisums, we developed new extensions to
-    handle also definite summation problems. More precisely we are able to
-    apply creative telescoping in a very general difference field setting
-    and are capable of solving linear recurrences in its context.
+\index{Cartan, Henri}
+\begin{chunk}{axiom.bib}
+@book{Cart06,
+  author = {Cartan, Henri},
+  title = {Differential Forms},
+  year = "2006",
+  location = {Mineola, N.Y},
+  edition = {Auflage: Tra},
+  isbn = {9780486450100},
+  pagetotal = {166},
+  publisher = {Dover Pubn Inc},
+  date = {2006-05-26}
+}
 
-    Besides this we find significant new insights in symbolic summation by
-    rephrasing the summation problems in the general difference field
-    setting. In particular, we designed algorithms for finding appropriate
-    difference field extensions to solve problems in symbolic summation.
-    For instance we deal with the problem to find all nested sum
-    extensions which provide us with additional solutions for a given
-    linear recurrence of any order. Furthermore we find appropriate sum
-    extensions, if they exist, to simplify nested sums to simpler nested
-    sum expressions. Moreover we are able to interpret creative
-    telescoping as a special case of sum extensions in an indefinite
-    summation problem. In particular we are able to determine sum
-    extensions, in case of existence, to reduce the order of a recurrence
-    for a definite summation problem."
+\end{chunk}
 
+\index{Flanders, Harley}
+\begin{chunk}{axiom.bib}
+ @book{Flan03,
+  author = {Flanders, Harley and Mathematics},
+  title = {Differential Forms with Applications to the Physical Sciences},
+  year = "2003",
+  location = {Mineola, N.Y},
+  isbn = {9780486661698}
+  pagetotal = {240},
+  publisher = {Dover Pubn Inc},
+  date = {2003-03-28}
 }
 
 \end{chunk}
 
-\index{Schneider, Carsten}
+\index{Whitney, Hassler}
 \begin{chunk}{axiom.bib}
-@InProceedings{Schn07,
-  author = "Schneider, Carsten",
-  title = "Symbolic Summation Assists Combinatorics",
-  year = "2007",
-  booktitle = "S\'eminaire Lotharingien de Combinatoire",
-  volume = "56",
-  article = "B56b",
-  url = "",
-  paper = "Schn07.pdf",
-  abstract = "
-    We present symbolic summation tools in the context of difference
-    fields that help scientists in practical problem solving. Throughout
-    this article we present multi-sum examples which are related to
-    combinatorial problems."
+@book{Whit12,
+  author = {Whitney, Hassler},
+  title = 
+    {Geometric Integration Theory: Princeton Mathematical Series, No. 21},
+  year = "2012",
+  isbn = {9781258346386},
+  shorttitle = {Geometric Integration Theory},
+  pagetotal = {402},
+  publisher = {Literary Licensing, {LLC}},
+  date = {2012-05-01}
 }
 
 \end{chunk}
 
-\index{Schneider, Carsten}
+\index{Federer, Herbert}
 \begin{chunk}{axiom.bib}
-@InProceedings{Schn00,
-  author = "Schneider, Carsten",
-  title = "An implementation of Karr's summation algorithm in Mathematica",
-  year = "2000",
-  booktitle = "S\'eminaire Lotharingien de Combinatoire",
-  volume = "S43b",
-  pages = "1-10",
-  url = "",
-  paper = "Schn00.pdf",
-  abstract = "
-    Implementations of the celebrated Gosper algorithm (1978) for
-    indefinite summation are available on almost any computer algebra
-    platform. We report here about an implementation of an algorithm by
-    Karr, the most general indefinite summation algorithm known. Karr's
-    algorithm is, in a sense, the summation counterpart of Risch's
-    algorithm for indefinite integration. This is the first implementation
-    of this algorithm in a major computer algebra system. Our version
-    contains new extensions to handle also definite summation problems. In
-    addition we provide a feature to find automatically appropriate
-    difference field extensions in which a closed form for the summation
-    problem exists. These new aspects are illustrated by a variety of
-    examples."
+@book{Fede13,
+  author = {Federer, Herbert},
+  title = {Geometric Measure Theory},
+  year = "2013",
+  location = {Berlin ; New York},
+  edition = {Reprint of the 1st ed. Berlin, Heidelberg, New York 1969},
+  isbn = {9783540606567},
+  pagetotal = {700},
+  publisher = {Springer},
+  date = {2013-10-04},
+  abstract = {
+    "This book is a major treatise in mathematics and is essential in the
+    working library of the modern analyst." (Bulletin of the London
+    Mathematical Society)}
+}
+
+\end{chunk}
 
+\index{Abraham, Ralph}
+\index{Marsden, Jerrold E.}
+\index{Ratiu, Tudor}
+\begin{chunk}{axiom.bib}
+@book{Abra93,
+  author = {Abraham, Ralph and Marsden, Jerrold E. and Ratiu, Tudor},
+  title = {Manifolds, Tensor Analysis, and Applications},
+  year = "1993",
+  location = {New York},
+  edition = {2nd Corrected ed. 1988. Corr. 2nd printing 1993},
+  isbn = {9780387967905},
+  pagetotal = {656},
+  publisher = {Springer},
+  date = {1993-08-26}
+  abstract = {
+    The purpose of this book is to provide core material in nonlinear
+    analysis for mathematicians, physicists, engineers, and mathematical
+    biologists. The main goal is to provide a working knowledge of
+    manifolds, dynamical systems, tensors, and differential forms. Some
+    applications to Hamiltonian mechanics, fluid mechanics,
+    electromagnetism, plasma dynamics and control theory are given using
+    both invariant and index notation. The prerequisites required are
+    solid undergraduate courses in linear algebra and advanced calculus.}
+}
+
+\end{chunk}
+
+\index{Lambe, L. A.}
+\index{Radford, D. E.}
+\begin{chunk}{axiom.bib}
+@book{Lamb97,
+  author = {Lambe, L. A. and Radford, D. E.},
+  title = {Introduction to the Quantum Yang-Baxter Equation and 
+           Quantum Groups: An Algebraic Approach},
+  year = "1997",
+  location = {Dordrecht ; Boston},
+  edition = {Auflage: 1997},
+  isbn = {9780792347217},
+  shorttitle = {Introduction to the Quantum Yang-Baxter Equation and 
+                Quantum Groups},
+  abstract = {
+    Chapter 1 The algebraic prerequisites for the book are covered here
+    and in the appendix. This chapter should be used as reference material
+    and should be consulted as needed. A systematic treatment of algebras,
+    coalgebras, bialgebras, Hopf algebras, and represen­ tations of these
+    objects to the extent needed for the book is given. The material here
+    not specifically cited can be found for the most part in [Sweedler,
+    1969] in one form or another, with a few exceptions. A great deal of
+    emphasis is placed on the coalgebra which is the dual of n x n
+    matrices over a field. This is the most basic example of a coalgebra
+    for our purposes and is at the heart of most algebraic constructions
+    described in this book. We have found pointed bialgebras useful in
+    connection with solving the quantum Yang-Baxter equation. For this
+    reason we develop their theory in some detail. The class of examples
+    described in Chapter 6 in connection with the quantum double consists
+    of pointed Hopf algebras. We note the quantized enveloping algebras
+    described Hopf algebras. Thus for many reasons pointed bialgebras are
+    elsewhere are pointed of fundamental interest in the study of the
+    quantum Yang-Baxter equation and objects quantum groups.},
+  pagetotal = {300},
+  publisher = {Springer},
+  date = {1997-10-31}
+}
+
+\end{chunk}
+
+\index{Wheeler, James T.}
+\begin{chunk}{axiom.bib}
+@misc{Whee12,
+  author = "Wheeler, James T.",
+  title = "Differential Forms",
+  year = "2012",
+  month = "September",
+  url = 
+"http://www.physics.usu.edu/Wheeler/ClassicalMechanics/CMDifferentialForms.pdf",
+  paper = "Whee12.pdf"
 }
 
 \end{chunk}
@@ -15239,19 +15582,6 @@ Math. Tables Aids Comput. 10 91--96. (1956)
 
 \end{chunk}
 
-\begin{chunk}{axiom.bib}
-@misc{Whee12,
-  author = "Wheeler, James T.",
-  title = "Differential Forms",
-  year = "2012",
-  month = "September",
-  url = 
-"http://www.physics.usu.edu/Wheeler/ClassicalMechanics/CMDifferentialForms.pdf",
-  paper = "Whee12.pdf"
-}
-
-\end{chunk}
-
 \eject
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \chapter{Bibliography}
diff --git a/changelog b/changelog
index cd8b464..08e6617 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20141017 tpd src/axiom-website/patches.html 20141017.01.tpd.patch
+20141017 tpd books/bookvolbib add a section on Differential Forms
 20141010 kxp src/axiom-website/patches.html 20141010.01.kxp.patch
 20141010 kxp books/bookvolbib add references
 20141010 kxp src/input/derham3.input test Pagani's functions
diff --git a/patch b/patch
index 1583b4b..65b03ee 100644
--- a/patch
+++ b/patch
@@ -1,3 +1,4 @@
-books/bookvol10.3 add Pagani's functions to DERHAM
+books/bookvolbib add a section on Differential Forms
+
+Kurt has written new documentation. Add the references.
 
-Additional functions in DERHAM
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 7a66eeb..f354e37 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -4680,6 +4680,8 @@ books/bookvol10.1 add chapter on differential forms<br/>
 books/bookvolbib add a section on Symbolic Summation<br/>
 <a href="patches/20141010.01.kxp.patch">20141010.01.kxp.patch</a>
 books/bookvol10.3 add Pagani's functions to DERHAM<br/>
+<a href="patches/20141017.01.tpd.patch">20141017.01.tpd.patch</a>
+books/bookvolbib add a section on Differential Forms<br/>
  </body>
 </html>
 
